Download OpenAPI specification:
Api version 1 here
You can follow and get to know the latest API changes and improvements here.
For example,
GET /clients/?filter=age[gte]21 or (email[eq]"a@a.com" and CreateDate[eq]2019-01-31) would find all
the items where the age is greater than or equals to 21 or email equals a@a.com
and CreateDate equals 31 Jan 2019. Default the logical operator and.
LIKE operator with SQL pattern supported, but ESCAPE option NOT supported.
For available filter fields, and their types see endpoint description
| Operator | Bracket Notation |
|---|---|
| N/A | [range] |
| N/A | [like] |
| = | [eq] |
| != | [ne] |
| > | [gt] |
| >= | [gte] |
| < | [lt] |
| <= | [lte] |
| and | and |
| or | or |
| Type | format |
|---|---|
| string | Value in double quotes. ex: email[like]"%.com" |
| date | Date as defined by yyyy-mm-dd |
| number | Integer number with no thousand delimiters |
| HTTP Code | Description |
|---|---|
| 200 | Request completed successfully |
| 400 | Invalid request. Show message box with "OK" button. Message text from response field failure_message and concatenate with text "Error: detail.error_id". Title should be filled from detail.title |
| 408 | Execution timeout. Retry same request later |
| Other | Show message box with "OK" button. Message text: "We apologize for any inconveniences caused, please contact TeslaPay Customer Support via 'Messaging' section. Error code: detail.error_id ". Title should be filled from detail.title |
This operation create client.
| x-request-id required | string <= 64 characters Request id. Will act as an idempotency key |
| x-partner-code required | string <= 255 characters Deprecated The unique identifier of the external system |
Create client
| external_reference required | string <= 64 characters External reference of the client in Regtek system. It is used to identify the client in the external system. |
| client_type required | string Enum: "PERSON" "COMPANY" Client type |
object (PersonV2Model) Person attributes | |
object (CompanyV2Model) Legal entity information
|
{- "external_reference": "AZ9876543210",
- "client_type": "PERSON",
- "person": {
- "kind": "C",
- "first_name": "Jonas",
- "last_name": "Petraitis",
- "address": {
- "line": "Gedimino pr. 15",
- "postal_code": "01103",
- "city": "Vilnius",
- "country": "LT"
}, - "email": "jonas.petraitis@example.com",
- "contact_mobile_number": "+37061234567",
- "birth_date": "1985-06-12",
- "nationality": "LT",
- "residence": "LT",
- "national_id_number": "38506120000",
- "tax_residences": [
- {
- "number": "38506120000",
- "country": "LT",
- "main": true
}
], - "referral_code": "REF2026",
- "us_person": false,
- "pep_person": "PEPC",
- "annual_income": 42000,
- "max_single_payment_volume": 5000,
- "ways_to_use_account": [
- "Salary receipt",
- "Online shopping",
- "International transfers to family"
], - "high_risk_products": [
- "precious_metals_jewelry"
], - "planned_countries": [
- "LT",
- "LV",
- "EE"
], - "purpose_of_account": {
- "purpose": [
- "SAVINGS",
- "PAYMENTS"
], - "other": "Building an emergency fund and paying daily expenses abroad"
}, - "planned_annual_turnover": 60000,
- "third_party_use": "Account will be used solely by the applicant; no third-party access.",
- "pep_details": {
- "country": "LT",
- "position": "Member of Parliament",
- "name": "Andrius Petraitis",
- "relation": "PEPREL"
}, - "occupation": {
- "position": "EMPLOYEE",
- "company": "TeslaPay Baltics UAB",
- "specific_position": false,
- "criminal": false,
- "tesla_funds": true,
- "crypto_currency": false
}, - "document": {
- "type": "CCPT",
- "number": "LT1234567",
- "expire_date": "2030-05-01"
}, - "source_of_income": {
- "income": [
- "SALARY",
- "SAVINGS"
], - "other": ""
}, - "attachments": {
- "utility_bill": "file-98765",
- "ubo": {
- "sow": {
- "file": "file-11111"
}, - "profile": {
- "file": "file-22222"
}
}
}, - "remote_client_id": "CRM-PERSON-0042",
- "ip": "109.110.0.2",
- "tc_agreement": true,
- "info_correct": true,
- "additional_data": {
- "sumsub": {
- "applicant_id": "5f80e6b7155a6336271e4677",
- "inspection_id": "123456b7155a6336271e6789"
}
}
}
}{- "external_reference": "AZ1234567890",
- "client_type": "PERSON",
- "person": {
- "id": "7A88C1E2-6892-4839-94AD-39B5721D297E",
- "status": "inprogress",
- "kind": "C",
- "first_name": "Ivan20",
- "last_name": "Ivanov20",
- "address": {
- "line": "41 Peshkov Street",
- "postal_code": "PSZ1070",
- "city": "Moscow",
- "country": "RU"
}, - "email": "ivan.ivanov@gmail.com20",
- "contact_mobile_number": "+994505351920",
- "nationality": "LV",
- "residence": "LV",
- "national_id_number": "22033344",
- "tax_residences": [
- {
- "number": "123456",
- "country": "LV",
- "main": true
}
], - "referral_code": "0001",
- "us_person": false,
- "pep_person": "NOPEP",
- "occupation": {
- "position": "Employee",
- "company": "Sample company",
- "specific_position": false,
- "criminal": false,
- "tesla_funds": true,
- "crypto_currency": false
}, - "document": {
- "type": "CCPT",
- "number": "54321",
- "expire_date": "2031-06-10"
}, - "source_of_income": {
- "income": [
- "SALARY",
- "PROPERTY_SALE",
- "INHERITANCE_GIFTS"
], - "other": "Comment"
}, - "ip": "109.110.0.1",
- "birth_date": "1980-07-22",
- "additional_data": {
- "sumsub": {
- "id": "5f80e6b7155a6336271e4677",
- "inspection_id": "123456b7155a6336271e6789"
}
}
}
}This operation retrieves list of the partner clients.
| Field | Type |
|---|---|
| string | |
| contact_mobile_number | string |
| external_id | string |
Filter example with limit/offset:
GET /v1/clients/?limit=300&offset=0&filter=contact_mobile_number[eq]"%2B37129207562";create_date[gte]2019-07-13;create_date[lte]2019-07-16
| offset | integer <int64> (offsetType) [ 0 .. 2147483647 ] The number of items to skip before starting to collect the result set. |
| limit | integer <int64> (limitType) [ 1 .. 100 ] The numbers of items to return. |
| filter | string LHS filter expression. |
| x-partner-code required | string <= 255 characters Deprecated The unique identifier of the external system |
[- {
- "external_reference": "AZ1234567890",
- "client_type": "PERSON",
- "person": {
- "id": "7A88C1E2-6892-4839-94AD-39B5721D297E",
- "status": "inprogress",
- "kind": "C",
- "first_name": "Ivan20",
- "last_name": "Ivanov20",
- "address": {
- "line": "41 Peshkov Street",
- "postal_code": "PSZ1070",
- "city": "Moscow",
- "country": "RU"
}, - "email": "ivan.ivanov@gmail.com20",
- "contact_mobile_number": "+994505351920",
- "nationality": "LV",
- "residence": "LV",
- "national_id_number": "22033344",
- "tax_residences": [
- {
- "number": "123456",
- "country": "LV",
- "main": true
}
], - "referral_code": "0001",
- "us_person": false,
- "pep_person": "NOPEP",
- "occupation": {
- "position": "Employee",
- "company": "Sample company",
- "specific_position": false,
- "criminal": false,
- "tesla_funds": true,
- "crypto_currency": false
}, - "document": {
- "type": "CCPT",
- "number": "54321",
- "expire_date": "2031-06-10"
}, - "source_of_income": {
- "income": [
- "SALARY",
- "PROPERTY_SALE",
- "INHERITANCE_GIFTS"
], - "other": "Comment"
}, - "ip": "109.110.0.1",
- "birth_date": "1980-07-22",
- "additional_data": {
- "sumsub": {
- "id": "5f80e6b7155a6336271e4677",
- "inspection_id": "123456b7155a6336271e6789"
}
}
}
}
]This operation partially updates client info. Only one of person/company is required,
matching client_type. Properties omitted from that nested object are left unchanged —
see PersonV2UpdateModel/CompanyV2UpdateModel.
| clientId required | string <= 64 characters The unique identifier of the client |
| x-request-id required | string <= 64 characters Request id. Will act as an idempotency key |
| x-partner-code required | string <= 255 characters Deprecated The unique identifier of the external system |
Update client
| client_type required | string Enum: "PERSON" "COMPANY" Client type |
object (PersonV2UpdateModel) Partial update of person attributes. Mirrors This is a partial update: only properties present in the request body are changed.
A property that is omitted leaves the current value untouched; a property sent with
an explicit | |
object (CompanyV2UpdateModel) Partial update of company (legal entity) attributes. Mirrors This is a partial update: only properties present in the request body are changed.
A property that is omitted leaves the current value untouched; a property sent with
an explicit
|
{- "client_type": "PERSON",
- "person": {
- "first_name": "string",
- "last_name": "string",
- "address": {
- "line": "string",
- "postal_code": "string",
- "city": "string",
- "country": "st"
}, - "email": "string",
- "contact_mobile_number": "string",
- "birth_date": "2019-08-24",
- "nationality": "st",
- "residence": "st",
- "national_id_number": "string",
- "tax_residences": [
- {
- "number": "string",
- "country": "st",
- "main": true
}
], - "referral_code": "string",
- "us_person": true,
- "pep_person": "string",
- "annual_income": 0,
- "max_single_payment_volume": 0,
- "ways_to_use_account": [
- "string"
], - "high_risk_products": [
- "livestock_animals"
], - "planned_countries": [
- "st"
], - "purpose_of_account": {
- "purpose": [
- "string"
], - "other": "string"
}, - "planned_annual_turnover": 0,
- "third_party_use": "string",
- "pep_details": {
- "country": "st",
- "position": "string",
- "name": "string",
- "relation": "string"
}, - "occupation": {
- "position": "string",
- "other": "string",
- "company": "string",
- "name_of_own_business": "string",
- "specific_position": true,
- "criminal": true,
- "tesla_funds": true,
- "crypto_currency": true
}, - "document": {
- "type": "string",
- "number": "string",
- "expire_date": "2019-08-24"
}, - "source_of_income": {
- "income": [
- "string"
], - "other": "string"
}, - "attachments": {
- "utility_bill": "string",
- "ubo": {
- "sow": {
- "absence_reason": "string",
- "file": "string"
}, - "profile": {
- "absence_reason": "string",
- "file": "string"
}
}
}, - "remote_client_id": "string",
- "ip": "strings",
- "tc_agreement": true,
- "info_correct": true,
- "additional_data": { }
}, - "company": {
- "name": "string",
- "type": "string",
- "registration_number": "string",
- "contact_email": "user@example.com",
- "contact_mobile_number": "string",
- "country": "st",
- "purpose_of_account": {
- "purpose": [
- "string"
], - "other": "string"
}, - "source_of_funds": {
- "source": [
- "string"
], - "other": "string"
}, - "clients_attraction": {
- "attraction": [
- "string"
], - "other": "string"
}, - "industry": {
- "industry": [
- "string"
], - "other": "string"
}, - "vat_number": "string",
- "is_vat_payer": true,
- "website": "string",
- "social_media": "string",
- "employees_number": 0,
- "nace_codes": [
- "string"
], - "partners": [
- {
- "name": "string",
- "web_site": "string",
- "relationship": "stringstringstr",
- "country": "st",
- "relation_direction": "INCOMING"
}
], - "shareholders": [
- {
- "kind": "SHAREHOLDER",
- "ratio": 0.1,
- "client_id": "string"
}
], - "official_address": {
- "line": "string",
- "postal_code": "string",
- "city": "string",
- "country": "st"
}, - "mail_address": {
- "line": "string",
- "postal_code": "string",
- "city": "string",
- "country": "st"
}, - "referral_code": "string",
- "is_multiple_board_members": true,
- "is_nominees": true,
- "is_bearer_shares": true,
- "est_year_volume": 0,
- "est_year_inc_payments": 0,
- "est_year_out_payments": 0,
- "max_single_payment_volume": 0,
- "planned_countries": [
- "st"
], - "reason_for_account": "string",
- "attachments": {
- "license": "string",
- "share_register": "string",
- "director_register": "string",
- "trade_register": "string",
- "fin_statement": "string"
}, - "remote_client_id": "string",
- "tc_agreement": true,
- "info_correct": true,
- "ip": "strings",
- "high_risk_products": [
- "livestock_animals"
], - "licensed_activity": true,
- "tax_residences": [
- {
- "number": "string",
- "country": "st",
- "main": true
}
], - "management_members": [
- {
- "client_id": "string",
- "role": "director",
- "is_nominee": true
}
], - "additional_data": { }
}
}{- "client_type": "PERSON",
- "person": {
- "id": "string",
- "name": "string",
- "regtek_ext_id": "string",
- "national_id_number": "string",
- "birth_date": "2019-08-24"
}, - "company": {
- "id": "string",
- "name": "string",
- "regtek_ext_id": "string",
- "registration_number": "string",
- "country": "st"
}
}